Skip to main content

Design & Collaboration

Figma, Miro, InVision

  • Tools: 5
  • Connectors: 4

Connectors in this domain

Tool reference

design.comments.list - List Comments

List comments on a design file

  • Risk: read - Read-only - safe to call freely
  • Supported by: Figma, Adobe XD, Sketch, InVision

Input schema

FieldTypeRequiredDescription
file_idstringNo-

Output schema

FieldTypeRequiredDescription
commentsarrayNo-

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/design.comments.list/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"file_id":"string"}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "design.comments.list",
"arguments": {
"file_id": "string"
}
}
}

design.exports.create - Export Design

Export design assets

  • Risk: read - Read-only - safe to call freely
  • Supported by: Figma, Adobe XD, Sketch, InVision

Input schema

FieldTypeRequiredDescription
formatstringNo-
file_idstringNo-
node_idsarrayNo-

Output schema

FieldTypeRequiredDescription
imagesobjectNo-

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/design.exports.create/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"format":"string","file_id":"string"}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "design.exports.create",
"arguments": {
"format": "string",
"file_id": "string"
}
}
}

design.files.get - Get Design File

Get design file details

  • Risk: read - Read-only - safe to call freely
  • Supported by: Sketch, InVision, Figma, Adobe XD

Input schema

FieldTypeRequiredDescription
file_idstringNo-

Output schema

FieldTypeRequiredDescription
fileobjectNo-

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/design.files.get/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"file_id":"string"}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "design.files.get",
"arguments": {
"file_id": "string"
}
}
}

design.files.search - Search Design Files

Search design files

  • Risk: read - Read-only - safe to call freely
  • Supported by: Sketch, InVision, Adobe XD, Figma

Input schema

FieldTypeRequiredDescription
querystringNo-

Output schema

FieldTypeRequiredDescription
filesarrayNo-

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/design.files.search/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"query":"string"}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "design.files.search",
"arguments": {
"query": "string"
}
}
}

design.versions.list - List Versions

List versions of a design file

  • Risk: read - Read-only - safe to call freely
  • Supported by: Figma, Adobe XD, Sketch, InVision

Input schema

FieldTypeRequiredDescription
file_idstringNo-

Output schema

FieldTypeRequiredDescription
versionsarrayNo-

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/design.versions.list/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"file_id":"string"}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "design.versions.list",
"arguments": {
"file_id": "string"
}
}
}